Subject: bug#40493: installer: Provide a way to select multiple keyboard layouts

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Thu, 9 Apr 2020 09:36:21 +0200

On Thu, Apr 09, 2020 at 09:25:58AM +0200, Mathieu Othacehe wrote:
> Nice! Thanks for taking care of this :)
> 

:)

> In the future it would be nice to be able to extract %non-latin-layout
> by parsing the base file in xkeyboard-config, rather than by maintaining
> this list, but that's a minor point, and I guess new keyboard layouts
> are not coming out every day :p

Yes, but the source in
/gnu/store/wsykijz9a1p7gx3z8hlmn58v5f5bswp7-xkeyboard-config-2.29/share/X11/xkb/rules/base
looks like this:

// If you want non-latin layouts implicitly include the en_US layout
// uncomment lines below
//! $nonlatin = am ara ben bd bg bt by cs deva ge gh gr guj guru il \
//              in ir iku jp kan kh kr la lao lk mk mm mn mv mal olck \
//              ori pk ru scc sy syr tel th tj tam ua uz

I am not sure if parsing that (and filtering out "kr") is worth it.

Regards,
Florian